<div class="product-header">
  <div class="d-flex">
    <div class="pps-header" style="cursor: pointer;" (click)="backToDashboardPage()">
      <a class="style-font">
        <i style="font-size: 20px;cursor: pointer;" class="fa fa-chevron-left"></i>
        Product Performance</a>
    </div>

    <button type="button" class="btn rectangle-save" (click)="onSave()" *ngIf="this.validate === true">
      บันทึก
    </button>
    <button type="button" class="btn rectangle-send" style="margin-left: 6px;" data-toggle="modal"
      data-target="#confirmModal" *ngIf="this.validate === true">
      ส่งงาน
    </button>
  </div>
  <p class="header-th style-font">
    บันทึกข้อมูล Product Performance ที่เกิดขึ้นจริง</p>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกเรียบร้อย</a>
  </div>
</div><br />


<div class="header-set">
  <div class="part-one-header">
    <div style="width: 88%;"><a>เป้าหมาย / ตัวชี้วัด</a></div>

  </div>
  <hr class="new4" />
</div>
<br />

<!-- ------------------------------------------ validate === true --------------------------------------- -->
<div *ngIf="this.validate === true">
  <div class="table-responsives">
    <table>
      <thead>
        <tr>
          <th rowspan="2" style="min-width: 300px;">ตัวชี้วัด</th>
          <th [attr.colspan]="years.length">เป้าหมาย</th>
          <th *ngFor="let year of years;" colspan="8">
            <div *ngFor="let header of header">
              {{header}} {{year}}
            </div>
          </th>
        </tr>
        <tr>
          <!-- เป้าหมาย -->
          <th *ngFor="let year of years;">
            <div style="width: 150px;margin-left: auto;margin-right: auto;">{{year}}</div>
          </th>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let year of years;">
            <th *ngFor="let sub of subheader;">
              <div *ngIf="sub === '%'" class="table-text-2">
                {{sub}}
              </div>
              <div *ngIf="sub !== '%'" class="table-text-1">
                {{sub}}
              </div>
            </th>
          </ng-container>
        </tr>
      </thead>

      <tbody>
        <tr>
          <td class="text-title-table">ปริมาณธุรกรรม</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let trans of transaction">
          <td>{{trans.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of trans.tranx;">
            <td>
              <input type="text" class="form-control"
                style="width: 150px;margin-left: auto;margin-right: auto;word-wrap:break-word" disabled
                [(ngModel)]="tranx" (ngModelChange)="changeSaveDraft()">
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of trans.results;">
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q1"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q1Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q2"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q2Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q3"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q3Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q4"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q4Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
          </ng-container>
        </tr>

        <tr>
          <td class="text-title-table">ผลตอบแทน</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let com of compensation">
          <td>{{com.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of com.tranx;">
            <td>
              <input type="text" class="form-control"
                style="width: 150px;margin-left: auto;margin-right: auto;word-wrap: break-word;" disabled
                [(ngModel)]="tranx" (ngModelChange)="changeSaveDraft()">
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of com.results;">
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q1"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q1Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q2"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q2Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q3"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q3Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q4"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q4Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
          </ng-container>
        </tr>

        <tr>
          <td class="text-title-table">การควบคุม</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let control of control">
          <td>{{control.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of control.tranx;">
            <td>
              <input type="text" class="form-control"
                style="width: 150px;margin-left: auto;margin-right: auto;word-wrap: break-word;" disabled
                [(ngModel)]="tranx" (ngModelChange)="changeSaveDraft()">
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of control.results;">
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q1"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q1Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q1Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q2"
                (ngModelChange)="changeSaveDraft()"></textarea>

            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q2Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q2Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q3"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q3Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q3Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
            <td>
              <!-- <input type="text" class="form-control" style="width: 150px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4"> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example"
                style="width: 150px;margin-left: auto;margin-right: auto;" [(ngModel)]="result.q4"
                (ngModelChange)="changeSaveDraft()"></textarea>
            </td>
            <td>
              <input type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
                [(ngModel)]="result.q4Percent" (ngModelChange)="changeSaveDraft()">
              <!-- <textarea type="number" class="form-control" style="width: 88px;margin-left: auto;margin-right: auto;"
              [(ngModel)]="result.q4Percent" (click)="autoGrowTextZone($event)" (keyup)="autoGrowTextZone($event)"
              rows="1"></textarea> -->
            </td>
          </ng-container>
        </tr>
      </tbody>
    </table>
  </div><br /><br />

  <div class="header-set">
    <div class="part-one-header">
      <div style="width: 88%;"><a>ข้อมูลบทวิเคราะห์ และกลยุทธ์ในการจัดการ</a></div>
    </div>
    <hr class="new4" />
  </div>
  <br />

  <div class="form-group">
    <label class="text-normal">บทวิเคราะห์ และกลยุทธ์ในการจัดการ</label>
    <textarea class="form-control textarea" id="textarea" rows="3" [(ngModel)]="analyze"
      (ngModelChange)="changeSaveDraft()"></textarea>
  </div>
</div>
<!-- ------------------------------------------ end validate === true --------------------------------------- -->

<!-- ------------------------------------------ validate === false --------------------------------------- -->
<div *ngIf="this.validate !== true">
  <div class="table-responsives">
    <table>
      <thead>
        <tr>
          <th rowspan="2" style="min-width: 300px;">ตัวชี้วัด</th>
          <th [attr.colspan]="years.length">เป้าหมาย</th>
          <th *ngFor="let year of years;" colspan="8">
            <div *ngFor="let header of header">
              {{header}} {{year}}
            </div>
          </th>
        </tr>
        <tr>
          <!-- เป้าหมาย -->
          <th *ngFor="let year of years;">
            <div style="width: 150px;margin-left: auto;margin-right: auto;">{{year}}</div>
          </th>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let year of years;">
            <th *ngFor="let sub of subheader;">
              <div *ngIf="sub === '%'" style="width: 88px;">
                {{sub}}
              </div>
              <div *ngIf="sub !== '%'" style="width: 150px;">
                {{sub}}
              </div>
            </th>
          </ng-container>
        </tr>
      </thead>

      <tbody>
        <tr>
          <td class="text-title-table">ปริมาณธุรกรรม</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let trans of transaction">
          <td>{{trans.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of trans.tranx;">
            <td class="text-table">
              {{tranx}}
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of trans.results;">
            <td class="text-table">
              {{result.q1}}
            </td>
            <td class="text-table">
              {{result.q1Percent}}
            </td>
            <td class="text-table">
              {{result.q2}}
            </td>
            <td class="text-table">
              {{result.q2Percent}}
            </td>
            <td class="text-table">
              {{result.q3}}
            </td>
            <td class="text-table">
              {{result.q3Percent}}
            </td>
            <td class="text-table">
              {{result.q4}}
            </td>
            <td class="text-table">
              {{result.q4Percent}}
            </td>
          </ng-container>
        </tr>

        <tr>
          <td class="text-title-table">ผลตอบแทน</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let com of compensation">
          <td>{{com.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of com.tranx;">
            <td class="text-table">
              {{tranx}}
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of com.results;">
            <td class="text-table">
              {{result.q1}}
            </td>
            <td class="text-table">
              {{result.q1Percent}}
            </td>
            <td class="text-table">
              {{result.q2}}
            </td>
            <td class="text-table">
              {{result.q2Percent}}
            </td>
            <td class="text-table">
              {{result.q3}}
            </td>
            <td class="text-table">
              {{result.q3Percent}}
            </td>
            <td class="text-table">
              {{result.q4}}
            </td>
            <td class="text-table">
              {{result.q4Percent}}
            </td>
          </ng-container>
        </tr>

        <tr>
          <td class="text-title-table">การควบคุม</td>
          <td [attr.colspan]="years.length" class="text-title-table"></td>
          <ng-container *ngFor="let year of years;">
            <td colspan="8" class="text-title-table"></td>
          </ng-container>
        </tr>
        <tr *ngFor="let control of control">
          <td>{{control.title}}</td>
          <!-- เป้าหมาย -->
          <ng-container *ngFor="let tranx of control.tranx;">
            <td class="text-table">
              {{tranx}}
            </td>
          </ng-container>
          <!-- ที่เกิดขึ้นจริง ปี -->
          <ng-container *ngFor="let result of control.results;">
            <td class="text-table">
              {{result.q1}}
            </td>
            <td class="text-table">
              {{result.q1Percent}}
            </td>
            <td class="text-table">
              {{result.q2}}
            </td>
            <td class="text-table">
              {{result.q2Percent}}
            </td>
            <td class="text-table">
              {{result.q3}}
            </td>
            <td class="text-table">
              {{result.q3Percent}}
            </td>
            <td class="text-table">
              {{result.q4}}
            </td>
            <td class="text-table">
              {{result.q4Percent}}
            </td>
          </ng-container>
        </tr>
    </table>
  </div><br /><br />

  <div class="header-set">
    <div class="part-one-header">
      <div style="width: 88%;"><a>ข้อมูลบทวิเคราะห์ และกลยุทธ์ในการจัดการ</a></div>
    </div>
    <hr class="new4" />
  </div>
  <br />

  <div class="form-group">
    <label class="text-normal">บทวิเคราะห์ และกลยุทธ์ในการจัดการ</label>
    <textarea class="form-control textarea" id="textarea" rows="3" [(ngModel)]="analyze" disabled
      [ngClass]="{'color-disabled': validate === false}"></textarea>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการส่งงาน
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการส่งงาน<br>
          ข้อมูล Product Performance นี้
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          ยกเลิก
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="onSend()">
          ยืนยันการส่งงาน
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ส่งงานแล้วเรียบร้อย</div>
    </div>
  </div>
</div>